MWAWGraphicListenerInternal::GraphicState Struct Reference

the global graphic state of MWAWGraphicListener More...

## Public Member Functions
| GraphicState (std::vector< MWAWPageSpan > const &pageList)
| constructor
GraphicState & | operator= (GraphicState const &)=default
GraphicState & | operator= (GraphicState &&)=default
| ~GraphicState ()
| destructor

## Public Attributes
std::vector< MWAWPageSpan > | m_pageList
| the pages definition
librevenge::RVNGPropertyList | m_metaData
| the document meta data
bool | m_isDocumentStarted
| a flag to know if the document is open
bool | m_isPageSpanOpened
| true if a page is open
bool | m_isMasterPageSpanOpened
| true if a masterpage is open
bool | m_isAtLeastOnePageOpened
| true if the first page has been open
bool | m_isHeaderFooterStarted
| a flag to know if the header footer is started
MWAWPageSpan | m_pageSpan
| ! the current page span
std::vector< int > | m_sentListMarkers
| the list of marker corresponding to sent list
std::vector< MWAWSubDocumentPtr > | m_subDocuments
| the list of actual subdocument
MWAWSection | m_section
| a section used to return a bad section

## Detailed Description

the global graphic state of MWAWGraphicListener

## Constructor & Destructor Documentation

## ◆ GraphicState()

MWAWGraphicListenerInternal::GraphicState::GraphicState | ( | std::vector< MWAWPageSpan > const & | pageList | ) |
| inline explicit

constructor

Referenced by operator=(), and operator=().

## ◆ ~GraphicState()

MWAWGraphicListenerInternal::GraphicState::~GraphicState | ( |  | ) |
| inline

destructor

## Member Function Documentation

## ◆ operator=() [1/2]

GraphicState & MWAWGraphicListenerInternal::GraphicState::operator= | ( | GraphicState && |  | ) |
| default

## ◆ operator=() [2/2]

GraphicState & MWAWGraphicListenerInternal::GraphicState::operator= | ( | GraphicState const & |  | ) |
| default

## Member Data Documentation

## ◆ m_isAtLeastOnePageOpened

bool MWAWGraphicListenerInternal::GraphicState::m_isAtLeastOnePageOpened

true if the first page has been open

Referenced by GraphicState().

## ◆ m_isDocumentStarted

bool MWAWGraphicListenerInternal::GraphicState::m_isDocumentStarted

a flag to know if the document is open

Referenced by GraphicState().

## ◆ m_isHeaderFooterStarted

bool MWAWGraphicListenerInternal::GraphicState::m_isHeaderFooterStarted

a flag to know if the header footer is started

Referenced by GraphicState().

## ◆ m_isMasterPageSpanOpened

bool MWAWGraphicListenerInternal::GraphicState::m_isMasterPageSpanOpened

true if a masterpage is open

Referenced by GraphicState().

## ◆ m_isPageSpanOpened

bool MWAWGraphicListenerInternal::GraphicState::m_isPageSpanOpened

true if a page is open

Referenced by GraphicState().

## ◆ m_metaData

librevenge::RVNGPropertyList MWAWGraphicListenerInternal::GraphicState::m_metaData

the document meta data

Referenced by GraphicState().

## ◆ m_pageList

std::vector<MWAWPageSpan> MWAWGraphicListenerInternal::GraphicState::m_pageList

the pages definition

Referenced by GraphicState().

## ◆ m_pageSpan

MWAWPageSpan MWAWGraphicListenerInternal::GraphicState::m_pageSpan

! the current page span

Referenced by GraphicState().

## ◆ m_section

MWAWSection MWAWGraphicListenerInternal::GraphicState::m_section

a section used to return a bad section

Referenced by GraphicState().

## ◆ m_sentListMarkers

std::vector<int> MWAWGraphicListenerInternal::GraphicState::m_sentListMarkers

the list of marker corresponding to sent list

Referenced by GraphicState().

## ◆ m_subDocuments

std::vector<MWAWSubDocumentPtr> MWAWGraphicListenerInternal::GraphicState::m_subDocuments

the list of actual subdocument

Referenced by GraphicState().

The documentation for this struct was generated from the following file:

- MWAWGraphicListener.cxx